%define upstream_name Services_ExchangeRates
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.8.0
Release:     	%mkrel 6
Summary:    	Performs currency conversion
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_ExchangeRates-%{version}.tgz
URL: 		http://pear.php.net/package/Services_ExchangeRates
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request
Requires:	php-pear-Cache_Lite
Requires:	php-pear-XML_Serializer >= 0.20.0
Requires:	php-pear >= 1.9.0
BuildArch: 	noarch

%description
Extendable to work with any source that provides exchange rate data, this
class downloads
exchange rates and the name of each currency (US Dollar, Euro, Maltese
Lira, etc.) and 
converts between any two of the available currencies (the actual number of
currencies 
supported depends on the exchange rate feed used).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_ExchangeRates.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_ExchangeRates.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_ExchangeRates
fi

%files
%doc docs/Services_ExchangeRates/*
%{peardir}/*
%{xmldir}/Services_ExchangeRates.xml


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.8.0-6.mga6
+ Revision: 931545
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 740136
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.8.0-4.mga5
+ Revision: 734168
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 687457
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 528263
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.8.0-1.mga4
+ Revision: 443980
- upgrade to version 0.8.0

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 377262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 0.7.0-1.mga2
+ Revision: 196150
- upgrade to 0.7.0
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.5.3-5.mga1
+ Revision: 44216
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_ExchangeRates


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-5mdv2011.0
+ Revision: 613770
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-4mdv2010.1
+ Revision: 467079
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.3-3mdv2010.0
+ Revision: 441567
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-2mdv2009.0
+ Revision: 237064
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdv2007.0
+ Revision: 82591
- Import php-pear-Services_ExchangeRates

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdk
- 0.5.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdk
- initial Mandriva package (PLD import)

